<h1>Download</h1>
<p>
<ul>
  <li>
    <h3><a href="http://sourceforge.net/projects/ulan/files/ul_drv/">uLan Driver Sources and Binaries Packages</a>
    </h3>
    <p>The latest <b>ul_drv</b> archive containing multiplatform sources for Linux, Windows and DOS environments can be downloaded from there same as some specific systems binaries distributions</p>
    <ul>
      <li><a href="http://sourceforge.net/projects/ulan/files/ul_drv/ul_drv-1.0.0/ul_drv-1.0.0.tar.gz">ul_drv-1.0.0.tar.gz</a> - actual sources archive</li>
      <li><a href="http://sourceforge.net/projects/ulan/files/ul_drv/ul_drv-1.0.0/ul_drv-1.0.0-win32.zip">ul_drv-1.0.0-win32.zip</a> - Windows 32-bit WDM drivers (Win 7, 8, Vista and XP)</li>
      <li><a href="http://sourceforge.net/projects/ulan/files/ul_drv/ul_drv-1.0.0/ul_drv-1.0.0-win64.zip">ul_drv-1.0.0-win64.zip</a> - Windows 64-bit WDM driver</li>
      <li><a href="http://sourceforge.net/projects/ulan/files/ul_drv/ul_drv-0.8.3/utils-0.8.3-win32-indirect.zip">utils-0.8.3-win32-indirect.zip</a> - Windows uLan basic utilities binares</li>
    </ul>
  </li>

  <li>
    <h3><a href="https://sourceforge.net/projects/ulan/files/ul_embedded/">Embedded uLan Protocol/Devices Sources</a>
    </h3>
    <p>This package combines uLan driver, embedded devices and example applications sources into one build tree. One of the provided applications is a firmware of USB to uLan converter. The package contains full support for ARM LPC-17xx, LPC-2xxx and 8051 based chips. The portability layer provides partial support for MPS430, H8S and M68K devices as well.</p>
    <ul>
      <li><a href="http://sourceforge.net/projects/ulan/files/ul_embedded/ul_embedded-0.8.3/ul_embedded-0.8.3.tar.gz">Download ul_embedded-0.8.3.tar.gz</a> - actual sources archive</li>
    </ul>
  </li>

  <li>
    <h3><a href="http://sourceforge.net/projects/ulan/files/ulut/">uLan/Universal Light Utilities Providing Higher Level "C" Language Constructs (uLUt)</a>
    </h3>
    <p>This utilities library provides many basic C constructions. There are basic item containers partially resembling to C++ standard template library (STL). There are lists, Generalized AVL trees (GAVL), hierarchical timers framework (HTIMER) and generic sorted arrays/collections (GSA). The (void *) item pointers are provided as well as type-safe functions generated by macros. There is buffer to store and manage dynamic data of variable length (DBUFF) and simple event connectors infrastructure (EVC) similar to signal/slot architecture of some GUI environments.</p>
    <ul>
      <li><a href="http://sourceforge.net/projects/ulan/files/ulut/ulut-090225/ulut-090225.tar.gz">Download ulut-090225.tar.gz</a> - actual sources archive</li>
    </ul>
  </li>

  <li>
    <h3><a href="https://sourceforge.net/p/ulan/_list/git">uLan Driver Build on GNU/Linux Directly from Git</a>
    </h3>
    <p>uLAN project is divided into multiple components which can and are used and reused in many projects (some even not using RS-485 communication). The source code of individual components and subsystems is maintained in individual GIT repositories and custom combination and configuration can be prepared. But <code><a href="https://sourceforge.net/p/ulan/ulan-top/ci/master/tree/">ulan-top</a></code> repository can serve as base for complete project which tracks all dependences to components in the form of GIT submodules. The repository includes scripts to easy obtain complete components tree and build it directly from GIT repository. Complete tree can be cloned by command
<pre>
git clone --recursive git://git.code.sf.net/p/ulan/ulan-top ulan
</pre>
    Other option is to download and run <code><a href="https://sourceforge.net/p/ulan/ulan-top/ci/master/tree/scripts/get-git-ulan?format=raw">get-git-ulan</a></code> script. Next commands sequence proceeds complete driver build and install on most GNU/Linux systems if basic development packages and kernel headers are installed.
<pre>
wget -O get-git-ulan 'https://sourceforge.net/p/ulan/ulan-top/ci/master/tree/scripts/get-git-ulan?format=raw'
sh get-git-ulan
ulan/scripts/build-ulan-host
sudo ulan/scripts/install-ul_drv
</pre>
  </li>
</ul>
</p>

<!--
  <li>
    <h3><a href="">uLan driver sources package</a>
    </h3>
    <p>desc</p>
    <ul>
      <li><a href="">archive</a> - actual sources archive</li>
    </ul>
  </li>
-->
